Subject: Re: [PATCH] net: santize headers for iproute2

From: Stephen Hemminger <[email-masked]>
Date: Tue, 25 Dec 2007 12:43:23 -0800

> net/tcp_states.h is not movable to include/linux/ and thus to
> userspace, it defines things that are present already in existing
> userland header files.  If you look, <netinet/tcp.h> defines these
> state values, as an enumeration.  If you need the TCPF_* flag bit
> versions, sorry... you'll need to find some other way to get those
> into userspace.

The problem is that iproute ss.c needs linux/tcp.h to get the tcp_info
structure definition but linux/tcp.h has incompatible definitions with netinet/tcp.h. 
I propose that the enum be moved from net/tcp_states.h to linux/tcp.h.

-- 
Stephen Hemminger <[email-masked]>